export async function getGraphQLParameters(request) {
    const url = new URL(request.url);
    let operationName;
    let query;
    let variables;
    switch (request.method) {
        case 'GET': {
            operationName = url.searchParams.get('operationName') || undefined;
            query = url.searchParams.get('query') || undefined;
            variables = url.searchParams.get('variables') || undefined;
            break;
        }
        case 'POST': {
            const requestBody = await request.json();
            operationName = requestBody === null || requestBody === void 0 ? void 0 : requestBody.operationName;
            query = requestBody === null || requestBody === void 0 ? void 0 : requestBody.query;
            variables = requestBody === null || requestBody === void 0 ? void 0 : requestBody.variables;
            break;
        }
    }
    return {
        operationName,
        query,
        variables,
    };
}
